# Bulk payment initiation Endpoint: POST /bulk-payments/{paymentProduct} Version: 1.0.0 Security: Api access ## Header parameters: - `TPP-Redirect-URI` (string) The url to redirect the user to after authorization - `PSU-IP-Address` (string) IP Address of the PSU. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Path parameters: - `paymentProduct` (string, required) Enum: "creditTransfer", "directDebit" ## Request fields (application/json): - `debtorAccount` (object, required) - `debtorAccount.iban` (null,string) IBAN of the account Example: "FR7612345987650123456789014" - `debtorAccount.bban` (null,string) BBAN of the account - ISO 20022 Example: "BARC12345612345678" - `debtorAccount.other` (null) Generic account reference. - `debtorAccount.currency` (null,string) Currency code - ISO 4217 Example: "EUR" - `debtorName` (null,string) Debtor name - `debtorAddress` (null) Debtor address - `batchBookingPreferred` (boolean) - `requestedExecutionDate` (null,string) - `paymentLines` (array) - `paymentLines.endToEndIdentification` (null,string) End to end identification - `paymentLines.instructedAmount` (object, required) Instructed amount - `paymentLines.instructedAmount.currency` (null,string) The three-letter currency code of the amount - ISO 4217 Example: "NOK" - `paymentLines.instructedAmount.amount` (null,string) The amount value. Negative amounts are signed by minus. The decimal separator is a dot. Example: * 0 * 154 * -1.75 * 349.7 * 3632.78 Example: 3632.78 - `paymentLines.creditorAccount` (object, required) Creditor account - `paymentLines.creditorAgent` (null,string) BICFI Example: "DNBANOKK" - `paymentLines.creditorAgentCountryCode` (null,string) Country code of the creditor agent. Example: "NO" - `paymentLines.creditorAgentClearingSystem` (null) Information about a clearing system member, which might be required for payments to non EEA member states. - `paymentLines.creditorName` (string, required) Creditor name Example: "Ola" - `paymentLines.creditorAddress` (null) Creditor address - `paymentLines.remittanceInformationUnstructured` (null,string) Unstructured remittance information Example: "message" - `paymentLines.remittanceInformationStructured` (null) Structured remittance information - `paymentLines.remittanceInformationStructuredArray` (null,array) - `paymentLines.remittanceInformationStructuredArray.reference` (null,string) Reference Example: 777588823 - `paymentLines.remittanceInformationStructuredArray.referenceType` (null,string) Reference type Example: "SCOR" - `paymentLines.remittanceInformationStructuredArray.referenceIssuer` (null,string) - `paymentLines.purposeCode` (null,string) External purpose code (ExternalPurpose1Code from ISO 20022) Example: * SUPP: Payment to a supplier. * SALA: Payment of salaries. * IPAY: Instant payment. * INTC: Intra-company payment. * TAXS: Payment of taxes. * PENS: Payment of pension. * TREA: Treasury operations. * CORT: Settlement of a trade, e.g. a foreign exchange deal or a securities transaction. An example usage of this field is for salary payments. They would typically use the purpose code "SALA". - `paymentLines.purposeProprietary` (null,string) Purpose in a proprietary form. - `paymentLines.categoryPurposeCode` (null,string) External category purpose code (ExternalCategoryPurpose1Code from ISO 20022) Supported values are: [ BONU, CASH, CBLK, CCRD, CORT, DCRD, DIVI, DVPM, EPAY, FCIN, FCOL, GP2P, GOVT, HEDG, ICCP, IDCP, INTC, INTE, LBOX, LOAN, MP2B, MP2P, OTHR, PENS, RPRE, RRCT, RVPM, SALA, SECU, SSBE, SUPP, TAXS, TRAD, TREA, VATX, WHLD, SWEP, TOPG, ZABA, VOST, FCDT, CIPC, CONC, CGWV, SAVG, CTDF ] An example usage of this field is for salary payments. They would typically use the purpose code "SALA". - `paymentLines.regulatoryReportingAmount` (null) Amount with currency - `paymentLines.regulatoryReportingCode` (null,string) Regulatory reporting code Example: 26 - `paymentLines.regulatoryReportingInformation` (null,string) Regulatory reporting info Example: "Rent" - `paymentLines.bundleReference` (null,string) Reference that can be used for choosing what payments will be bundled together Example: "bundle-id-123456789" - `paymentLines.instructionPriority` (null) ## Response 201 fields (application/json): - `paymentId` (string) Id of the payment initiation Example: "A30D7108-A584-4C32-95ED-8FF4BB5A7C2C" - `transactionStatus` (string) Status of the payment Enum: "accc", "accp", "acsc", "acsp", "actc", "acwc", "acwp", "rcvd", "pdng", "rjct", "canc", "acfc", "patc", "part" - `_links` (object) - `_links.self` (object) - `_links.self.href` (string) Url to a resource Example: "https://banking.aritma.io/api/accounts/1234/transactions?fromDate=2019-08-24T14:15:22Z" - `_links.self.verb` (string) The http verb the link is accessible through Enum: "get", "post", "put", "delete" - `_links.status` (object) - `_links.startAuthorization` (null) - `_links.scaRedirect` (null) - `payments` (array) A list of payment references. - `payments.paymentId` (string) Id of the payment Example: "p1b6523d427c32efc47ee1f9530" - `payments.endToEndIdentification` (null,string) End to end identification ## Response 400 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)